pipeline {
  agent any
  stages {
    stage('Build') {
      steps {
        echo 'StartBuild'
        sh 'dotnet restore Api/Ewide.Web.Entry/Ewide.Web.Entry.csproj'
        sh 'dotnet clean Api/Ewide.Web.Entry/Ewide.Web.Entry.csproj'
        writeFile(file: 'Api/Ewide.EntityFramework.Core/dbsettings.Development.json', text: '{}')
        sh 'dotnet build Api/Ewide.Web.Entry/Ewide.Web.Entry.csproj'
      }
    }

    stage('Test') {
      steps {
        echo 'Start Test'
        sh 'dotnet test Api/Ewide.Test/Ewide.Test.csproj'
      }
    }

    stage('Publish') {
      steps {
        echo 'StartPublish'
        sh 'dotnet publish Api/Ewide.Web.Entry/Ewide.Web.Entry.csproj -c Release'
      }
    }

  }
}